package test.org.seasar.dao.impl;

import java.util.List;

import org.seasar.dao.annotation.Arguments;
import org.seasar.dao.annotation.S2Dao;
@S2Dao(bean=Employee.class)
public interface EmployeeDao {

	public List getAllEmployees();
	
	public Employee[] getAllEmployeeArray();
	
	@Arguments("empno")
	public Employee getEmployee(int empno);
	
	public int getCount();
	
	public void update(Employee employee);
	
	public Employee[] getEmployeesByDeptno(int deptno);
}

