package examples.dao.annotation;

import java.util.List;

import org.seasar.dao.annotation.Arguments;
import org.seasar.dao.annotation.S2Dao;

@S2Dao(bean = Employee.class)
public interface EmployeeDao {

	public List getAllEmployees();
	
	@Arguments({"empno"})
	public Employee getEmployee(int empno);
	
	public int getCount();
	
	@Arguments({"job","deptno"})
	public List getEmployeeByJobDeptno(String job, Integer deptno);
	
	public int update(Employee employee);
}
