package org.seasar.dao.annotation.impl;

import java.lang.annotation.Annotation;
import java.lang.reflect.Method;

import org.seasar.framework.beans.PropertyDesc;

public class AnnotationUtil {

	public static <T extends Annotation> T getPropertyAnnotation(PropertyDesc propertyDesc,Class<T> annotationClass) {
		
		Method mt = propertyDesc.getReadMethod();
		T a = mt.getAnnotation(annotationClass);
		if(a!=null){
			return (T) a;
		}
		mt = propertyDesc.getReadMethod();
		return mt.getAnnotation(annotationClass);
	}

}
